be.fgov.ehealth.dics.protocol.v4

## Class FindAmppRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.dics.protocol.v4.FindAmppRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:30:49+02:00",
                 comments="JAXB RI v2.2.11")
      public class FindAmppRequest
      extends RequestType
      implements Serializable

  Java class for FindAmppRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindAmppRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <element name="FindByPackage" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByPackageType" minOccurs="0"/>
               <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppKeyType" minOccurs="0"/>
             </sequence>
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
             <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindAmppRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DmppKeyType` | `getFindByDmpp()` Gets the value of the findByDmpp property.
    `FindByPackageType` | `getFindByPackage()` Gets the value of the findByPackage property.
    `String` | `getLang()` Gets the value of the lang property.
    `org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
    `void` | `setFindByDmpp(DmppKeyType value)` Sets the value of the findByDmpp property.
    `void` | `setFindByPackage(FindByPackageType value)` Sets the value of the findByPackage property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindAmppRequest

          public FindAmppRequest()

  - ### Method Detail

    - #### getFindByPackage

          public FindByPackageType getFindByPackage()

      Gets the value of the findByPackage property.
      Returns:
        possible object is `FindByPackageType`

    - #### setFindByPackage

          public void setFindByPackage(FindByPackageType value)

      Sets the value of the findByPackage property.
      Parameters:
        `value` - allowed object is `FindByPackageType`

    - #### getFindByDmpp

          public DmppKeyType getFindByDmpp()

      Gets the value of the findByDmpp property.
      Returns:
        possible object is `DmppKeyType`

    - #### setFindByDmpp

          public void setFindByDmpp(DmppKeyType value)

      Sets the value of the findByDmpp property.
      Parameters:
        `value` - allowed object is `DmppKeyType`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSearchDate

          public org.joda.time.DateTime getSearchDate()

      Gets the value of the searchDate property.
      Returns:
        possible object is `String`

    - #### setSearchDate

          public void setSearchDate(org.joda.time.DateTime value)

      Sets the value of the searchDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.